Skip to main content
PATCH
Partially update the targeting rule

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

targetingRuleId
integer<int64>
required

The ID of the targeting rule object

Query Parameters

experimentId
integer<int64>
required

ID of the experiment

Body

application/json
segmentConfiguration
enum<string>

Configuration defining how to apply the segment

Available options:
ALL_VISITORS,
AUTOPROMO_AUTODEFINED,
GRAPHICAL_PAGES,
HEAT_SLICE,
PAGE,
SAVED_TEMPLATE,
SITE,
URL
segmentId
integer<int64>

ID of the associated segment (user group) for targeting. If the segment is deprecated, the rule has no trigger available.

targetingConfigurationParam
string

Additional parameters for trigger configuration. For SAVED_TEMPLATE/HEAT_SLICE - contains segment ID. For PAGE - contains full URL. For URL - contains URL fragment.

triggerConfiguration
enum<string>

Configuration defining how to apply the trigger. This trigger type does not allow ALL_VISITORS configuration

Available options:
ALL_VISITORS,
AUTOPROMO_AUTODEFINED,
GRAPHICAL_PAGES,
HEAT_SLICE,
PAGE,
SAVED_TEMPLATE,
SITE,
URL
triggerId
integer<int64>

ID of the associated trigger (activation condition)

Response

OK

siteId
integer<int64>
required

ID of the project this targeting rule belongs to

id
integer<int64>
read-only

Unique ID of the targeting rule

segmentConfiguration
enum<string>

Configuration defining how to apply the segment

Available options:
ALL_VISITORS,
AUTOPROMO_AUTODEFINED,
GRAPHICAL_PAGES,
HEAT_SLICE,
PAGE,
SAVED_TEMPLATE,
SITE,
URL
segmentId
integer<int64>

ID of the associated segment (user group) for targeting. If the segment is deprecated, the rule has no trigger available.

targetingConfigurationParam
string

Additional parameters for trigger configuration. For SAVED_TEMPLATE/HEAT_SLICE - contains segment ID. For PAGE - contains full URL. For URL - contains URL fragment.

triggerConfiguration
enum<string>

Configuration defining how to apply the trigger. This trigger type does not allow ALL_VISITORS configuration

Available options:
ALL_VISITORS,
AUTOPROMO_AUTODEFINED,
GRAPHICAL_PAGES,
HEAT_SLICE,
PAGE,
SAVED_TEMPLATE,
SITE,
URL
triggerId
integer<int64>

ID of the associated trigger (activation condition)